GNU bug report logs - #43429
[PATCH] * etc/refcards/refcard.tex: Fix some grouping regexps

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: tsuucat <tsuucat@HIDDEN>; Keywords: patch fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 43429 <at> debbugs.gnu.org and tsuucat <tsuucat@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43429 <at> debbugs.gnu.org:


Received: (at 43429) by debbugs.gnu.org; 17 Sep 2020 15:15:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 17 11:15:45 2020
Received: from localhost ([127.0.0.1]:38610 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIvdQ-0004Ss-So
	for submit <at> debbugs.gnu.org; Thu, 17 Sep 2020 11:15:45 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kIvdO-0004LT-Ew
 for 43429 <at> debbugs.gnu.org; Thu, 17 Sep 2020 11:15:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=YNL139BsZnIUco/BKLXMkc25aMTjzxN2tm2F70w5x5A=; b=BMckU7Ni72IFZhPSGJZhe36OK6
 UdcMEIZoLW99xQsSGgYL9XMuM53aDStxaXIxXyTL+tVXmkkSrTUIyJ6aTzWa9fS7mfasGgBVF7Mdp
 hb8U1Wro7FhEDVbP2d64/NvcnrI9oyP5SSSff8FjOtA2Y00WzyZnok0aPX5864Sa+tbY=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kIvdF-0001mP-F6; Thu, 17 Sep 2020 17:15:36 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: tsuucat <tsuucat@HIDDEN>
Subject: Re: bug#43429: [PATCH] * etc/refcards/refcard.tex: Fix some
 grouping regexps
References: <2C5E0DBD-D0B1-43B8-B5F3-026F6470C214@HIDDEN>
X-Now-Playing: PJ Harvey's _Dry Demos_: "Happy And Bleeding"
Date: Thu, 17 Sep 2020 17:15:32 +0200
In-Reply-To: <2C5E0DBD-D0B1-43B8-B5F3-026F6470C214@HIDDEN>
 (tsuucat@HIDDEN's message of "Wed, 16 Sep 2020 02:06:11 +0900")
Message-ID: <87lfh8ph7v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: tsuucat <tsuucat@HIDDEN> writes: > I noticed refcard.tex
 says wrong explanation for shy grouping and > explicit numbered grouping.
 So I made a patch. Thanks; applied to Emacs 28. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43429
Cc: 43429 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tsuucat <tsuucat@HIDDEN> writes:

> I noticed refcard.tex says wrong explanation for shy grouping and
> explicit numbered grouping. So I made a patch.

Thanks; applied to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43429; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Sep 2020 17:14:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 15 13:14:18 2020
Received: from localhost ([127.0.0.1]:60465 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIEX3-0006LG-QF
	for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 13:14:18 -0400
Received: from lists.gnu.org ([209.51.188.17]:53266)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tsuucat@HIDDEN>) id 1kIEX1-0006L7-Oc
 for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 13:14:16 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44336)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tsuucat@HIDDEN>)
 id 1kIEX1-00006l-0F
 for bug-gnu-emacs@HIDDEN; Tue, 15 Sep 2020 13:14:15 -0400
Received: from pv50p00im-zteg10021401.me.com ([17.58.6.47]:38541)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tsuucat@HIDDEN>)
 id 1kIEPH-00020A-GZ
 for bug-gnu-emacs@HIDDEN; Tue, 15 Sep 2020 13:06:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=icloud.com;
 s=1a1hai; t=1600189573;
 bh=dpLy+/kTOng0+OgjnC9M+HH61Wofsvd3e072kqkx7Co=;
 h=From:Content-Type:Mime-Version:Subject:Message-Id:Date:To;
 b=hSMk9nlM1+XjkY9baL8S+69Z1qI0+xuNmYbN0sufaa18VbuXjQuMelUgfQQHZyDt3
 l0WsOwSwsgrgo+ABZiT36XC9iN1KZyZEBq0GEU0KFq97zQHbtKUthC9ieCK33JrlqR
 DholrtEXsQD+HXXzlxRZwn+/ap7vcenOG6ViyZRrF4zHDVORyhbIOv6EVi494T6wkn
 MXX8YW+CxJ49CFbUm5hYmIjq/3Is7fkbs3kAMjWOp2uEd6JMFEobzQq91em/VJzAA0
 i7fUMCeqFyWoNT7pewAdlfqT2i/T1EaHvUgnEy5JZYaY1bSv73r74BRd+iaFyBVSvx
 nYP6k8a58+DDQ==
Received: from [192.168.129.26] (i114-186-197-142.s41.a008.ap.plala.or.jp
 [114.186.197.142])
 by pv50p00im-zteg10021401.me.com (Postfix) with ESMTPSA id B1AE24801EA
 for <bug-gnu-emacs@HIDDEN>; Tue, 15 Sep 2020 17:06:13 +0000 (UTC)
From: tsuucat <tsuucat@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_E9672628-6C61-4105-81FA-0E80480E19E5"
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.14\))
Subject: [PATCH] * etc/refcards/refcard.tex: Fix some grouping regexps
Message-Id: <2C5E0DBD-D0B1-43B8-B5F3-026F6470C214@HIDDEN>
Date: Wed, 16 Sep 2020 02:06:11 +0900
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3445.104.14)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.235, 18.0.687
 definitions=2020-09-15_12:2020-09-15,
 2020-09-15 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=11 suspectscore=1
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=11 clxscore=1015 mlxscore=11
 mlxlogscore=93 adultscore=0 classifier=spam adjust=0 reason=mlx
 scancount=1 engine=8.0.1-2006250000 definitions=main-2009150138
Received-SPF: pass client-ip=17.58.6.47; envelope-from=tsuucat@HIDDEN;
 helo=pv50p00im-zteg10021401.me.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/15 13:06:14
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--Apple-Mail=_E9672628-6C61-4105-81FA-0E80480E19E5
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=us-ascii

Hi,
I noticed refcard.tex says wrong explanation for shy grouping and
explicit numbered grouping. So I made a patch.

--
tsuucat

--Apple-Mail=_E9672628-6C61-4105-81FA-0E80480E19E5
Content-Disposition: attachment;
	filename=0001-etc-refcards-refcard.tex-Fix-some-grouping-regexps.patch
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="0001-etc-refcards-refcard.tex-Fix-some-grouping-regexps.patch"
Content-Transfer-Encoding: quoted-printable

=46rom=20b62e89bd5fe8997bef950131bc79ec9760d03315=20Mon=20Sep=2017=20=
00:00:00=202001=0AFrom:=20Masahiro=20Nakamura=20<tsuucat@HIDDEN>=0A=
Date:=20Tue,=2015=20Sep=202020=2016:06:17=20+0900=0ASubject:=20[PATCH]=20=
*=20etc/refcards/refcard.tex:=20Fix=20some=20grouping=20regexps=0A=0A---=0A=
=20etc/refcards/refcard.tex=20|=204=20++--=0A=201=20file=20changed,=202=20=
insertions(+),=202=20deletions(-)=0A=0Adiff=20--git=20=
a/etc/refcards/refcard.tex=20b/etc/refcards/refcard.tex=0Aindex=20=
afae238c78..c8f07540e5=20100644=0A---=20a/etc/refcards/refcard.tex=0A+++=20=
b/etc/refcards/refcard.tex=0A@@=20-562,8=20+562,8=20@@=20=
\section{Regular=20Expressions}=0A=20\key{quote=20regular=20expression=20=
special=20character=20{\it=20c\/}}{\\{\it=20c}}=0A=20\key{alternative=20=
(``or'')}{\\|}=0A=20\key{grouping}{\\(=20{\rm$\ldots$}=20\\)}=0A=
-\key{shy=20grouping}{\\(:?=20{\rm$\ldots$}=20\\)}=0A-\key{explicit=20=
numbered=20grouping}{\\(:NUM=20{\rm$\ldots$}=20\\)}=0A+\key{shy=20=
grouping}{\\(?:=20{\rm$\ldots$}=20\\)}=0A+\key{explicit=20numbered=20=
grouping}{\\(?NUM:=20{\rm$\ldots$}=20\\)}=0A=20\key{same=20text=20as=20=
{\it=20n\/}th=20group}{\\{\it=20n}}=0A=20\key{at=20word=20break}{\\b}=0A=20=
\key{not=20at=20word=20break}{\\B}=0A--=20=0A2.28.0=0A=0A=

--Apple-Mail=_E9672628-6C61-4105-81FA-0E80480E19E5--




Acknowledgement sent to tsuucat <tsuucat@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43429; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 17 Sep 2020 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.